National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2013-7108 Detail

Description

Multiple off-by-one errors in Nagios Core 3.5.1, 4.0.2, and earlier, and Icinga before 1.8.5, 1.9 before 1.9.4, and 1.10 before 1.10.2 allow remote authenticated users to obtain sensitive information from process memory or cause a denial of service (crash) via a long string in the last key value in the variable list to the process_cgivars function in (1) avail.c, (2) cmd.c, (3) config.c, (4) extinfo.c, (5) histogram.c, (6) notifications.c, (7) outages.c, (8) status.c, (9) statusmap.c, (10) summary.c, and (11) trends.c in cgi/, which triggers a heap-based buffer over-read.

Source:  MITRE      Last Modified:  01/15/2014

Quick Info

CVE Dictionary Entry:
CVE-2013-7108
Original release date:
01/15/2014
Last revised:
11/28/2016
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
5.5 MEDIUM
Vector:
(AV:N/AC:L/Au:S/C:P/I:N/A:P) (legend)
Impact Subscore:
4.9
Exploitability Subscore:
8.0
CVSS Version 2 Metrics:
Access Vector:
Network exploitable
Access Complexity:
Low
Authentication:
Required to exploit
Impact Type:
Allows unauthorized disclosure of information; Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://lists.opensuse.org/opensuse-updates/2014-01/msg00010.html External Source SUSE openSUSE-SU-2014:0016
http://lists.opensuse.org/opensuse-updates/2014-01/msg00028.html External Source SUSE openSUSE-SU-2014:0039
http://lists.opensuse.org/opensuse-updates/2014-01/msg00046.html External Source SUSE openSUSE-SU-2014:0069
http://lists.opensuse.org/opensuse-updates/2014-01/msg00068.html External Source SUSE openSUSE-SU-2014:0097
http://sourceforge.net/p/nagios/nagioscore/ci/d97e03f32741a7d851826b03ed73ff4c9612a866/ External Source CONFIRM http://sourceforge.net/p/nagios/nagioscore/ci/d97e03f32741a7d851826b03ed73ff4c9612a866/
http://www.mandriva.com/security/advisories?name=MDVSA-2014:004 External Source MANDRIVA MDVSA-2014:004
http://www.openwall.com/lists/oss-security/2013/12/24/1 External Source MLIST [oss-security] 20131224 Re: CVE request: denial of service in Nagios (process_cgivars())
http://www.securityfocus.com/bid/64363 External Source BID 64363
https://dev.icinga.org/issues/5251 Vendor Advisory External Source CONFIRM https://dev.icinga.org/issues/5251
https://www.icinga.org/2013/12/17/icinga-security-releases-1-10-2-1-9-4-1-8-5/ External Source CONFIRM https://www.icinga.org/2013/12/17/icinga-security-releases-1-10-2-1-9-4-1-8-5/

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:nagios:nagios:3.0:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:alpha1:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:alpha2:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:alpha3:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:alpha4:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:alpha5:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:beta1:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:beta2:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:beta3:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:beta4:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:beta5:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:beta6:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:beta7:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:rc1:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:rc2:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0:rc3:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0.1:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0.2:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0.3:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0.4:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0.5:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.0.6:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.1.0:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.1.1:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.1.2:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.2.0:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.2.1:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.2.2:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.2.3:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.3.1:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.4.0:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.4.1:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.4.2:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.4.3:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:3.5.1:*:*:*:*:*:*:*
cpe:2.3:a:nagios:nagios:*:*:*:*:*:*:*:*    versions up to (including) 4.0.2
Configuration 2
OR
cpe:2.3:a:icinga:icinga:0.8.0:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:0.8.1:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:0.8.2:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:0.8.3:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:0.8.4:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.0:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.0:rc1:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.0.1:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.0.2:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.0.3:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.2.0:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.2.1:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.3.0:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.3.1:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.4.0:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.4.1:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.6.0:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.6.1:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.6.2:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.7.0:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.7.1:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.7.2:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.7.3:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.7.4:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.8.0:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.8.1:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.8.2:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.8.3:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:*:*:*:*:*:*:*:*    versions up to (including) 1.8.4
cpe:2.3:a:icinga:icinga:1.9.0:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.9.1:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.9.2:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.9.3:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.10.0:*:*:*:*:*:*:*
cpe:2.3:a:icinga:icinga:1.10.1:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 2 change records found - show changes